<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="钢种">
      <query id="ComMscGrade.query" desc="查询钢种">
        <![CDATA[      
 SELECT 
       T.MSC,
       T.MSC_PLINE,
       T.CIC,
       T.GRADECODE,
       T.GRADENAME,
       T.ASSORTMENT_CODE,
       T.ASSORTMENT_NAME,
       T.STD_CODE,
       T.STD_NAME,
       T.CREATE_NAME,
       TO_CHAR(T.CREATE_TIME, 'YYYY-MM-DD HH24:MI:SS') CREATE_TIME,
       T.UPDATE_NAME,
       TO_CHAR(T.UPDATE_TIME, 'YYYY-MM-DD HH24:MI:SS') UPDATE_TIME,
       T.DELETE_NAME,
       TO_CHAR(T.DELETE_TIME, 'YYYY-MM-DD HH24:MI:SS') DELETE_TIME,
       T.VALIDFLAG,
       DECODE(T.VALIDFLAG, '1', '有效', '0', '无效', '未识别') VALIDFLAG_DESC,
       T.MEMO,
       T.GRADECODE_OLD
 FROM COM_MSC_GRADE T
 WHERE
T.MSC = '#MSC#'
AND T.MSC_PLINE = '#MSC_PLINE#'
AND T.GRADECODE = '#GRADECODE#'
	     ]]>
	  </query>
</queryMap>